<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@color/white"
        tools:ignore="UselessParent">

        <FrameLayout
            android:id="@+id/fl_back"
            android:layout_width="50dp"
            android:layout_height="50dp"
            tools:ignore="UselessParent">

            <ImageView
                android:layout_width="17dp"
                android:layout_height="17dp"
                android:layout_gravity="center"
                android:src="@mipmap/quit"
                tools:ignore="ContentDescription" />
        </FrameLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="Large File Cleaner"
            android:textColor="#000000"
            android:textSize="19sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

    </FrameLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/tv_type"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|start"
            android:layout_marginStart="15dp"
            android:text="All types"
            android:textColor="#333333"
            tools:ignore="HardcodedText" />

        <FrameLayout
            android:id="@+id/fl_filter"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|end"
            android:layout_marginEnd="5dp"
            android:padding="15dp">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/arrow_l"
                tools:ignore="ContentDescription" />
        </FrameLayout>

    </FrameLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/item_large_file" />

        <LinearLayout
            android:id="@+id/ll_empty"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="vertical"
            android:visibility="gone"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:src="@mipmap/queshengye"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:text="No Found File"
                android:textColor="@color/black"
                android:textSize="17sp"
                tools:ignore="HardcodedText" />
        </LinearLayout>
    </FrameLayout>


    <TextView
        android:id="@+id/tv_delete"
        android:layout_width="289dp"
        android:layout_height="45dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="8dp"
        android:layout_marginBottom="16dp"
        android:background="@drawable/bg_delete_selector"
        android:enabled="false"
        android:gravity="center"
        android:text="Delete"
        android:textColor="@color/color_delete_selector"
        android:textSize="18sp"
        android:textStyle="bold"
        tools:ignore="HardcodedText" />

</LinearLayout>